21 октября 2013

Как установить AceStream для просмотра Торрент-ТВ в Ubuntu 11.10, 12.04, 12.10, 13.04, 13.10

AceStream - это медиа платформа, "адаптирующая" привычные всем торрент-технологии не только для передачи файлов, но и для просмотра медиа-контента (например, онлайн трансляций телевизионных каналов) посредством обмена данными между пользователями. В отличие от обычного онлайн ТВ, Торрент ТВ не страдает от перегрузки серверов при наплыве пользователей. Напротив, чем больше зрителей, тем бесперебойнее будет трансляция. Порталы, предоставляющие доступ к Торрент ТВ, сами не испытывают практически никакой нагрузки, поскольку являются просто трекерами.
На сайте Compizomania уже публиковались статьи (здесь и здесь) об установке AceStream TV на Ubuntu, но с тех пор программа обзавелась собственным репозиторием, поэтому процедура установки изменилась.

Сначала, добавляем репозиторий в список источников командой в терминале:

Для Ubuntu 11.10:
echo 'deb http://repo.acestream.org/ubuntu/ oneiric main' | sudo tee /etc/apt/sources.list.d/acestream.list

Для Ubuntu 12.04: 
echo 'deb http://repo.acestream.org/ubuntu/ precise main' | sudo tee /etc/apt/sources.list.d/acestream.list

Для Ubuntu 12.10:
echo 'deb http://repo.acestream.org/ubuntu/ quantal main' | sudo tee /etc/apt/sources.list.d/acestream.list

Для Ubuntu 13.04 и 13.10:
echo 'deb http://repo.acestream.org/ubuntu/ raring main' | sudo tee /etc/apt/sources.list.d/acestream.list

Примечание: как мы видим, в репозитории еще нет версии для Ubuntu 13.10 Saucy. Программа прекрасно устанавливается из репозитория для Raring, но надо учесть, что в Saucy  недоступна необходимая зависимость libdvbpsi7. Поэтому, перед тем, как выполнять следующие команды, её следует скачать и установить вручную, в соответствии с разрядностью вашей системы:

Для 32-bit

cd /tmp && wget http://mirror.pnl.gov/ubuntu/pool/universe/libd/libdvbpsi/libdvbpsi7_0.2.2-1_i386.deb && sudo dpkg -i libdvbpsi7_0.2.2-1_i386.deb

Для 64-bit

cd /tmp && wget http://mirror.pnl.gov/ubuntu/pool/universe/libd/libdvbpsi/libdvbpsi7_0.2.2-1_amd64.deb && sudo dpkg -i libdvbpsi7_0.2.2-1_amd64.deb

Наконец, добавляем ключ репозитория и устанавливаем саму программу:

wget -q -O - http://repo.acestream.org/keys/acestream.public.key | sudo apt-key add -
sudo apt-get update
sudo apt-get install acestream-full


AceStream-full - это метапакет, устанавливающий все компоненты платформы AceStream:
acestream-engine - движок
acestream-mozilla-plugin - плагин для браузеров
acestream-player - десктопный плеер
acestream-player-data - набор общих библиотек для плеера и плагина
При желании, эти компоненты можно устанавливать по отдельности.

По окончании установки вы можете зайти, например, СЮДА и протестировать работу программы.

Внимание! В случае если в процессе просмотра онлайн-торрент трансляции вы наблюдаете частые остановки изображения для буферизации, рекомендуется повысить размер буфера Live. Для этого на значке Ace Stream в трее нажмите правую кнопку мыши, в появившемся меню выберите пункт меню "Опции...", введите желаемый размер буфера Live в секундах в соответствующее поле. Не рекомендуется устанавливать буфер меньше 10 секунд и больше 60. Лично я установил 45 секунд.


Вот и все.
Всем приятного просмотра и удачи.

UPD: По поводу установки на Ubuntu 14.04 см. в комментариях здесь и ниже. Подробную инструкцию надеюсь подготовить позже.
UPD2: В этом комментарии практически готовая инструкция для 14.04 от пользователя Фёдора Сумкина и ссылка на архив с недостающими зависимостями (для 64 бит).
UPD3: Новая статья по установке AceStream в Ubuntu 14.04 ЗДЕСЬ.

227 комментариев :

  1. Все верно, неплохо ещё и кэш загнать в рамдиск (если памяти достаточно), чтобы винтом не тарахтеть.

    ОтветитьУдалить
    Ответы
    1. Идея сама по себе неплохая, но есть ли смысл? Скорости обмена далеко не космические, как правило. Нагрузка на винт умеренная, даже весьма.

      Удалить
    2. Уже давно надо SSD дисками пользоваться. Один раз установил и порядок.

      Удалить
    3. А вот с SSD тем более (!!!) кэш нужно зарулить на рамдиск, чтобы каждые полгода по магазинам не бегать.

      У меня так работает, потому и предложил, ну а стоит овчинка выделки или нет - дело вкуса.

      Удалить
    4. >>А вот с SSD тем более (!!!) кэш нужно зарулить на рамдиск, чтобы каждые полгода по магазинам не бегать<<

      Это точно.

      >>У меня так работает, потому и предложил, ну а стоит овчинка выделки или нет - дело вкуса<<

      Не хотелось бы, чтобы все эти комментарии смутили неискушенных пользователей, которые про рамдиск и не слышали, зато могут сделать неверный вывод, будто программа "убивает диск", что далеко от реальности :) Сама идея, повторю, хорошая.

      Удалить
    5. >>А вот с SSD тем более (!!!) кэш нужно зарулить на рамдиск, чтобы каждые полгода по магазинам не бегать<<

      Ну и темнота дремучая... Насмешили. Дистрибутивы Ubuntu поддерживают команды trim начиная с версии 12.04, а ssd уже как несколько лет эту фунцию имеют. У меня диску в декабре 2 года будет и ничего, летает. А гарантия между прочим - три года.

      Удалить
    6. Начиная с версии 12.04 я рад за Вас :) Trim уменьшает проблемы долговечности SSD, но от этого она не перестает быть проблемой. Вопрос не такой простой.

      Удалить
    7. >>Ну и темнота дремучая... Насмешили. Дистрибутивы Ubuntu поддерживают команды trim начиная с версии 12.04, а ssd уже как несколько лет эту фунцию имеют. У меня диску в декабре 2 года будет и ничего, летает. А гарантия между прочим - три года.<<

      Ну что же, от чистого сердца пожелаю удачной эксплуатации и в дальнейшем. Ну а я, дремучий и темный запечный сверчок, не познавший сатори от вашего коана про trim, продолжу потихоньку свиристеть по-своему.

      Удалить
    8. Этот комментарий был удален автором.

      Удалить
    9. У вас устаревшая информация относительно SSD- да и гарантия 5-лет Высокая скорость чтения/записи, нередко превосходящая пропускную способность интерфейса жесткого диска (SAS/SATA II 3 Gb/s, SAS/SATA III 6 Gb/s, SCSI, Fibre Channel и т. д.) и ещё более высокая скорость нелинейного чтения/записи относительно недорогих распространенных жестких дисков-из вики И сам имею в эксплуатации SSD уже не первый год

      Удалить
  2. А сколько каналов можно смотреть через эту прогу? И есть ли русскоязычные?

    ОтветитьУдалить
    Ответы
    1. Каналов тьма и почти все русскоязычные.

      Удалить
    2. Одну ссылку на сайт с каналами я в статье привел. Там же есть всякие инструкции на случай проблем.
      Вот еще http://1md.tv/vasa2.html
      Таких сайтов-трекеров для Торрент-ТВ в сети довольно много.

      Удалить
    3. P.S. Хотя лично я смотрю через браузер, десктопный плеер, который входит в комплект, позволяет использовать плейлисты. Но они, по большей части, доступны только зарегистрированным пользователям соответствующего трекера (чей плейлист), чаще всего - за отдельную плату. Меня и через браузер устраивает.

      Удалить
  3. Спасибо большое автору за статью, она куда понятнее и правильнее чем здесь: http://forum.torrentstream.org/index.php?topic=1464.0 по крайней мере на доходчивом языке... Вот ещё очень удобный сайт http://raketa-tv.com/

    ОтветитьУдалить
    Ответы
    1. Благодарю за теплые слова. Ну, и ссылочка тоже пригодится :)

      Удалить
    2. Да нет, там для новичков действительно засада. Когда-то намучился с установкой пока разобрался. Вот, про расширения для браузера не упомянули вроде, или пропустил?.... http://magicplayer.torrentstream.org/#/install

      Удалить
    3. В самом начале есть ссылки на предыдущие статьи, а там упоминается и о расширениях. В принципе, эти расширения к самой программе отношения не имеют, они просто используют её движок для просмотра фильмов с с обычных, "классических" торрент-трекеров в реальном времени без предварительного скачивания. Думаю, сами торрент-трекеры это не очень приветствуют, так как при этом пользователь фильм просматривает, но сам почти ничего не раздает, разве что какую-то часть, в процессе просмотра... На некоторых торрент-трекерах расширения эти вовсе не работают. Но можно и дополнить статью. На досуге сделаю.

      Удалить
    4. Да нет, Максим, я просто только сейчас узнал что magic player совершенно не нужен для просмотра ТВ... ))) вот блин

      Удалить
    5. Собственно, это одна из причин, почему я не упомянул о расширениях. Чтоб пользователи не путали одно с другим :).

      Удалить
  4. Пакеты, имеющие неудовлетворённые зависимости:
    acestream-full : Зависит: acestream-player (>= 2.1.6-1oneiric2)
    Зависит: acestream-mozilla-plugin (>= 2.1.6-1oneiric2)
    E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
    как это исправить
    изначально на 13.04 стояла версия AceStream 2,0 , теперь плеер выдает ошибку wrong final block length
    на сайте написано Если у вас при попытке просмотра каналов пишет "wrong final block length", обновите версию ACE до последней тут , обновить версию до 2,1 не получается не проходит

    ОтветитьУдалить
    Ответы
    1. Вы случайно репозиторий не для Oneric подключили?

      Удалить
    2. Удалите неправильный реп из источников и все компоненты:
      sudo rm /etc/apt/sources.list.d/acestream.list
      sudo apt-get remove acestream-*
      sudo apt-get autoremove

      и проделайте всю процедуру заново.

      Удалить
  5. спасибо все заработало , удивительно и правда как и когда я не тот реп впихнул

    ОтветитьУдалить
  6. cпасибо большое -я торрентом пользуюсь давно но поменял систему и там установку сделали по новому-так вот попыток было15 и ничего не удавалось-там видать гдето ошибка -а сейчас в считаные минуты все встало=ошибка гда то здесь(: Не удалось получить http://repo.acestream.org/ubuntu/dists/precise/Release Невозможно найти ожидаемый элемент «main/source/Sources» в файле Release (некорректная запись в sources.list или файл)
    устанавливалось по - http://forum.torrentstream.org/index.php?topic=1931.0;prev_next=prev#new спасибо

    ОтветитьУдалить
  7. У меня на значке в трее нет пункта "Опции". Можно ли задать размер буфера через терминал? А заодно уж и остальных параметров...

    ОтветитьУдалить
    Ответы
    1. >>У меня на значке в трее нет пункта "Опции".<<

      Какая система? В Xubuntu 13.10 такое наблюдается из-за глючного Плагина индикаторов. Лечится его удалением с панели. Насчет Ubuntu 13.10 точно не знаю, не проверял, у меня Xfce. Где хранятся настройки Asestram Engine, пока не нашел. Настройки плеера отыскались, а вот что касается движка, то навскидку в обычных для таких случаев местах они не обнаруживаются. Если все-таки найду, скину в комментарий.

      Удалить
    2. Спасибо. Система - Ubuntu 13.10.

      Удалить
  8. такая же проблема - нет опций в трее ((( помогите настроить буфер
    убунту 13.10

    ОтветитьУдалить
  9. Этот комментарий был удален автором.

    ОтветитьУдалить
    Ответы
    1. В чем проблема-то? Сносите старую версию и устанавливайте новую по инструкции. При чем тут ссылки на 64-х разрядные пакеты? Пардон, но вопрос просто не понятен.

      Удалить
    2. Этот комментарий был удален автором.

      Удалить
    3. Ну если Вы так ставите вопрос, то просто поменяйте в ссылках "amd64" на "i386", и будут вам пакеты для 32, чего уж проще-то? Только практический смысл невелик, если можно установить из репозитория, и версия там уже новее, по моему... Если интересует, как установить, то проще всего через программу установки пакетов gdebi (есть в стандартных репозиториях). Или, скажем, положить эти пакеты в отдельную папку, открыть в В ЭТОЙ ПАПКЕ терминал и

      sudo dpkg -i *.deb

      и для удовлетворения зависимостей

      sudo apt-get install -f

      Удалить
    4. Этот комментарий был удален автором.

      Удалить
    5. З.Ы. "Если интересует, как установить" - это про ручную установку через deb-пакеты, ну Вы поняли...

      Удалить
    6. Здравствуйте при установке пакета acestream-player-data_2.1.6-1raring2_i386.deb пишет: Ошибка: Неразрешимая зависимость: libudev1 (>= 147)

      Удалить
    7. Поэтому я и говорю - устанавливайте из репозитория, как описано в статье. Если была установлена старая версия, её надо удалить (например, через менеджер пакетов Synaptic, его можно установить из стандартных репозиториев. Удобная, порой незаменимая вещь). Старые версии Acestream устанавливались единым пакетом acestream-local, в новой же набор пакетов другой, они несовместимы. "Просто обновиться" без удаления старой версии не получится.

      Удалить
    8. Что я могу себе сказать: "Шарик поздравляю - ты балбес!!!" Всё заработало. СПАСИБО!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

      Удалить
  10. Этот комментарий был удален автором.

    ОтветитьУдалить
  11. Здравствуйте, а не знаете почему в в звуке шумы посторонние присутствуют?

    ОтветитьУдалить
    Ответы
    1. Не знаю. Ибо у меня они отсутствуют. Желательно описать поподробнее, что за глюк и как его воспроизвести, указать, какая система и т.д. Иначе ответа можно не дождаться.

      Удалить
  12. кому было интересно конфиги в /home/usrname/.ACEStream/playerconf.pickle

    а рамдиск можно добавить так:

    mkdir -p /media/ramdisk
    mount -t tmpfs -o size=1024M tmpfs /media/ramdisk/

    и изменить в конфиге стрима

    ОтветитьУдалить
    Ответы
    1. забыл сказать что это объект и напрямую редактировать можно не все, лучше это сделать с помощью python, загрузить, обновить параметры и экспортироватью.

      Удалить
    2. >>mkdir -p /media/ramdisk<<
      >>mount -t tmpfs -o size=1024M tmpfs /media/ramdisk/<<

      Совсем необязательно это все проделывать, да еще автоматизировать, чтобы монтировать каждый раз при перезагрузке. Есть способ куда проще. Вы, возможно, удивитесь, но в каждой Убунте УЖЕ ЕСТЬ ramdisk вот здесь /dev/shm/ :)) Вполне достаточно с качестве папки кэша указать /dev/shm/.ACEStream/cache

      Удалить
    3. не, не удивлюсь :) они немного по разному работают, +хотелось бы четко указать размер, это просто как пример куда копать если кому то интересно :)

      Удалить
    4. Размер можно вот так регулировать, в процентах от оперативки:

      http://storage7.static.itmages.com/i/13/1124/h_1385323754_6455466_6b355501b4.png

      Директория там указана другая (/run), но это не имеет значения, ибо /dev/shm - это символьная ссылка для /run/shm, они равнозначны. Так что путь /run/shm/.ACEStream/cache тоже подойдет :)

      Удалить
  13. в торрент-тв отдельные каналы со звуком 5.1 и в стерео голоса не слышно. Возможно ли в Ubuntu 12.04 свести (смикшировать) 5.1 в 2.0? Заранее спасибо.

    ОтветитьУдалить
    Ответы
    1. По правой кнопке мыши на изображении есть контекстное меню, а там помимо прочего есть пункты выбора аудио дорожки и аудио каналов, теоретически, это может помочь. А практически, неплохо бы привести пример такого канала, вот и поковыряемся...

      Удалить
    2. Чаще всего там на "топовых" фильмах. А в меню на изображении выбор не велик либо русский трек либо нет. Другого нет.

      Удалить
    3. Я нашел. Действительно, есть такая проблемка. Поглядим...

      Удалить
    4. Буду ждать. Даже если результат будет отрицательным то тоже отпишитесь пожалуйста. Но жду победы))

      Удалить
    5. На форуме Acestream пишут, что может помочь переключение аудиовыхода с default на alsa в настройках плеера (с перезагрузкой трансляции после сохранения настроек, конечно). Я попробовал, и не сказал бы, что это помогло, но в другой системе и результат может быть другой, хотя маловероятно. На другом разделе у меня стоит Manjaro Linux вообще без pulseaudio, c чистой alsa, и там та же проблема. Будем думать дальше.

      Удалить
    6. Это из-за VLC версии 1 который не умеет нормально сводить 6-канальный звук в стерео. VLC версии 2 это делает нормально.
      Тут тема где можно попросить разработчиков включить VLC версии 2 в дистрибутив для linux: http://forum.torrentstream.org/index.php?topic=1629.msg8569

      Удалить
  14. Этот комментарий был удален автором.

    ОтветитьУдалить
    Ответы
    1. Нахрапом проблема не решается. Пробовал в настройках плеера играться с Dolby Surround, не помогло. Надо гуглить в интернете. Не исключено, что сама трансляция кривая, ибо диалоги задавлены, а закадровый текст (в том же фильме, не в рекламе) слышен хорошо.

      Удалить
    2. Связался с ребятами из "киностудии" - подтвердили звук 5.1 и такой каков он к ним приходит. Сами добровольно на формат 2.0 переходить не собираются...
      Под винду предлагают решения:http://forum.ixbt.com/topic.cgi?id=4:108887
      И очень печально, что в Убунте это пока не решаемо. В Инете конкретного ничего нет. Одна надежда была на Вас....

      Удалить
    3. Да уж, решение под винду вообще мимо кассы, что-то про ручные настройки матричного декодирования в кодеках DirectX :)) Они вообще не имеют отношения к VLC, на котором основан AceStream. Насмешили ребятки. Что за "киностудия" такая?

      Удалить
    4. Есть ещё мнение:

      "Это из-за VLC версии 1 который не умеет нормально сводить 6-канальный звук в стерео. VLC версии 2 это делает нормально.
      Только из-за этого я не пользуюсь Ace Stream, хотя система и идея отличные.

      Вопрос к разработчикам: планируете ли вы сделать своё ПО для linux на основе VLC версии 2? Было бы очень здорово".

      Тут тема где можно попросить разработчиков включить VLC версии 2 в дистрибутив : http://forum.torrentstream.org/index.php?topic=1629.msg8569

      Удалить
    5. >>Это из-за VLC версии 1<<
      Скорее всего, так и есть.

      Удалить
    6. Возможно, Вас утешит тот факт, что в Винде с новейшей версий AceStream со звуком точно такая же проблема :) Только что проверил. Так что, либо дело не в VLC, либо версия 2 не лучше первой.

      Удалить
    7. Утешит, что дело не в VLC :) Может решение и лежит где-то рядом...

      Удалить
    8. Ну, может и в VLC, но уж точно не в номере версии и не в операционке...

      Удалить
    9. Этот комментарий был удален автором.

      Удалить
    10. Вот накопал кое-что:http://ubuntuforums.org/showthread.php?t=1673646
      Обращает на себя внимание фраза "The down-mix 5.1 to 2ch stereo is bugged/broken/not-implemented in ffmpeg thus it is not right for VLC in 2ch mode"
      Там предлагается downmix переложить на Alsa, для чего требуется редактирование её файлов конфигурации (с указанием, что это может сломать pulseadio). Надо будет в эту сторону еще в Гугле покопать и на досуге попробовать, для начала хотя бы на Manjaro, там у меня pulseaudio выпилен.

      Удалить
  15. Ждём результатов и инструкцию по применению))

    ОтветитьУдалить
    Ответы
    1. Вашими устами да мед пить... Пока не выходит ничего, "satisfaction not guaranteed".

      Удалить
    2. Максим, если интересно, то есть ресурс, где КИНОХИТ ретранслируется в 2.0 и не надо "бубнов": http://raketa-tv.com/watch

      Удалить
    3. Спасибо, сделаем закладочку, пригодится.

      Удалить
    4. Это ж без какого такого бубна КИНОХИТ ретранслируется в 2.0 на http://raketa-tv.com/watch? Там предлагается установка плагина только для Windows.

      Удалить
    5. Не знаю, что они предлагают, но у меня в Линукс тоже работает, поскольку AceStream уже установлен. Но Кинохит там я не нашел, по крайней мере, без регистрации...

      Удалить
    6. Поставил Acestream на SinclairOS2 как на Ubuntu 12.04 и смотрю все торренты в том числе и Ракету... Или мне скрины высылать для подтверждения? ;-)

      Удалить
    7. Да я зарегился. На Торрент.tv тоже кинохита нет без регистрации. Но на Торрент.tv звук в 5.1. Короче, регится - это проблема? Для меня нет. :)

      Удалить
    8. Это ни к чему :) Владимир имел в виду, что при отсутствии плагина сайт не делает правильную переадресацию по типу операционной системы, что не есть гут. А кинохит на ракете точно есть? Что-то пока не вижу...

      Удалить
    9. Вот тебе мой снимок для подтверждения:

      [im]http://s017.radikal.ru/i417/1312/28/a5c5630d6e31.png[/im]

      Или как установить плагин для просмотра? Поясни.

      Удалить
    10. >>Это ни к чему :)<< Это я про скриншоты. Немного опоздал с комментарием.
      >>регится - это проблема? << Нет, конечно. Надо будет - зарегистрируемся.

      Удалить
    11. >>Или как установить плагин для просмотра? Поясни.<<
      Если он не установлен, или установлена старая версия (acestream-local), то - по инструкции в этой статье (старую предварительно удалить). Сейчас многие сайты стали требовать новую версию, насколько я понимаю.

      Удалить
    12. Ну так речь идёт: "Максим, если интересно, то есть ресурс, где КИНОХИТ ретранслируется в 2.0 и не надо "бубнов": http://raketa-tv.com/watch"
      Может быть я не понял на счёт "бубна"? Если надо устанавливать плагин, как предлагается в статье.

      Удалить
    13. http://gifok.net/images/2013/12/29/O4AN.jpg

      А это мой скрин

      Удалить
    14. Так что скрин, ты поясни, как без бубна плагин установить.

      Удалить
    15. >>Может быть я не понял на счёт "бубна"?<<
      Именно так, Володя. Эта тема еще с предыдущих комментариев тянется :). Просто совершенно случайно обнаружилось, что AceStream не всегда корректно выводит звуковую дорожку 5.1 на стерео-колонки, в частности - на Кинохит (сломан downmix). Sandoro решил поделиться ссылкой, где трансляция сразу в 2.0, и проблем со звуком нету.

      Удалить
    16. Этот комментарий был удален автором.

      Удалить
    17. Такая же инструкция, как на сайте или похожая. Без бубна, это когда включил и смотришь. Я так понимаю "фразу без бубна".

      Удалить
    18. Sandoro, это недоразумение. Владимир, вероятно, увидел твое "без бубна" и решил, что ты нашел новый способ установки AceStream :)

      Удалить
    19. :) А это разве бубен? Скопирастил в терминал и смотри... Спасибо Максим за "бубен" :)

      Удалить
    20. Всё правильно, Максим. Выражаться надо ясней в комментарии.

      Удалить
    21. Владимир, я обращался к Максиму, который (если отследить нашу переписку с ним выше) прекрасно понял о каком "бубне" идёт речь. Я не подозревал, что Вы присоединитесь к диалогу.
      зы. как вариант ... есть ещё установка с deb пакетов))

      Удалить
    22. Возможно я не совсем понял на счёт бубна, извиняюсь.
      >>как вариант ... есть ещё установка с deb пакетов<< А что в терминальных командах rpm пакеты?
      Всё закроем тему.

      Удалить
    23. Максим, я правильно понял "вылечить" звук 5.1 не выйдет? А то, одни каналы смотрю на Торрент.tv а Кинохит на Ракете? Как та белка скачу.....

      Удалить
    24. Нет, не выходит пока. Подождем обновлений, может починят еще.

      Удалить
    25. Подождём... если бы не тормоза на Ракете с рядом других программ и высокой стоимостью VIP, сидел бы на ней. Но....
      Вообще удивительное дело на Ракете Кинохит идёт как надо под 2.0, а на других ресурсах - кошмарно...
      Максим, Владимир с наступающим Новым Годом Вас! Добра, благополучия во всём и успеха. Спасибо за ваш мгновенный отклик и помощь.

      Удалить
  16. Доброго дня.
    По xbmc вопрос. Ума не приложу.
    Убунта - тринадцатая, xbmc - frodo от Pavlenko, запускается как user session.
    На одной и той же системе через браузер и плагин видео идет ровненько и гладенько, а через xbmc скорость воспроизведения "плавает". Рывками, эдак. Причем, постоянно и с постоянной амплитудой. То быстрее, то медленнее. (звук - в норме) Балет, конечно, смешно смотреть, но не долго.
    Знаете в чем дело?

    ОтветитьУдалить
  17. Прошу извинить за шум, рано назвался.
    Дело было не в xbmc, а в том что, xrand'ом нужно было не scale задавать, чтобы уместить всё в экран, а отключать встроенный дисплей ноутбука(лежащий отдльно в ящике стола), из за которого размер изображения x-сервером выставлялся две на две тыщи. Все крутится теперь и перетекает.
    Извините, еще раз.

    ОтветитьУдалить
  18. Кто может помочь - в плагине черный экран, нет ни звука, ни видео. при этом трафик идет, (значек трея отображает). То же самое и на тестовой странице.
    Мож проблема в плеере?

    ОтветитьУдалить
    Ответы
    1. Проблема в выборе СИСТЕМЫ. ПОСТАВЬ МИНТ Mate. И нет проблем...

      Удалить
    2. >>Кто может помочь - в плагине черный экран, нет ни звука, ни видео. при этом трафик идет, (значек трея отображает)<<
      У меня такое было в другом дистрибутиве (Manjaro), погуглил, оказалось - связано с неправильной работой аудио-видео демуксера (того самого, что разбивает поток на аудио и видео и отправляет их в декодер). Cмените демуксер в настройках с default на ffmpeg, не исключено, это поможет. Вот скриншот из Manjaro (в Убунту не сталкивался):
      http://storage5.static.itmages.com/i/13/1206/h_1386322937_8075023_4f70ec2934.png

      Удалить
  19. Спасибо за советы. У меня не убунту, а арч. Но это не важно.
    Попробовал демуксер - ффмпег в списке нет, куча других. Попробую поперебирать (если подскажете, как установить ффмпеговы, могу и его)
    Проблема, очевидно, в асеплеере - попробовал без него через https://github.com/ValdikSS/aceproxy - работает (проигрывал обычным VLC. в нем демуксер - автомат)
    Но через прокси довольно сложно - запустить поток на сайте, скопировать айди, запустить 2 проги в фон, запустить влц, состряпать урл, открыть в влц...
    Подскажите, кто знает, процесс по-проще, мелькали XBMC в виде клиента. но гугл выдает форумы на 70+ страниц, хотелось бы простого описания процедуры установки\настройки.

    ОтветитьУдалить
    Ответы
    1. >>Спасибо за советы. У меня не убунту, а арч<<

      Manjaro тоже основан на Arch, этот глюк общий для всех Arch-based, как я понял. Все-таки "родных" пакетов AceStream для Arch пока нету, приходится "пересобирать" Убунтовские, отсюда и проблемы.

      >>Попробовал демуксер - ффмпег в списке нет, куча других<<

      Очень странно. Может, плохо или не там искали? ИМХО, его не может не быть, он практически и есть основной. У меня он примерно 20-й с конца в выпадающем списке. Попробуйте поискать что-то похожее на "родственников" ффмпега вроде libav...

      >>Подскажите, кто знает, процесс по-проще, мелькали XBMC в виде клиента<<

      Всё, что об этом пока знаю, XBMC в виде клиента - это действительно можно, но едва ли "проще"... Не доводилось этим (XBMC) вплотную заниматься.

      Удалить
    2. >>Подскажите, кто знает, процесс по-проще, мелькали XBMC в виде клиента<<

      P.S. Кстати, чуть не забыл. С непривычки, я первое время испытал проблемы с установкой AceStream в Manjaro, и поэтому, (недолго) в качестве костыля юзал Windows-версию firefox в Wine + Windows-версия AceStream (главное, чтоб было установлено в один wineprefix). Изврат, конечно, но работало, черт возьми...

      Удалить
    3. Здравствуйте Максим, с Рождеством! И вопрос возможно не совсем в тему: хотел познакомится с Linux ROSA Desktop Fresh R2, но нигде не нашёл информации по поводу интеграции acestream в эту ОС. Вы нечего не знаете по данному вопросу?

      Удалить
  20. root@lionbook-dns:/tmp# sudo apt-get -f install acestream-full
    Чтение списков пакетов… Готово
    Построение дерева зависимостей
    Чтение информации о состоянии… Готово
    Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
    или же используете нестабильную версию дистрибутива, где запрошенные вами
    пакеты ещё не созданы или были удалены из Incoming.
    Следующая информация, возможно, поможет вам:

    Пакеты, имеющие неудовлетворённые зависимости:
    acestream-full : Зависит: acestream-engine (>= 2.1.6-1raring4) но он не будет установлен
    E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
    root@lionbook-dns:/tmp# sudo apt-get -f install acestream-engine
    Чтение списков пакетов… Готово
    Построение дерева зависимостей
    Чтение информации о состоянии… Готово
    Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
    или же используете нестабильную версию дистрибутива, где запрошенные вами
    пакеты ещё не созданы или были удалены из Incoming.
    Следующая информация, возможно, поможет вам:

    Пакеты, имеющие неудовлетворённые зависимости:
    acestream-engine : Зависит: python2.6 (>= 2.6.6) но он не может быть установлен
    Зависит: libpython2.6 (>= 2.6.6) но он не может быть установлен
    E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
    root@lionbook-dns:/tmp# sudo apt-get -f install python2.6
    Чтение списков пакетов… Готово
    Построение дерева зависимостей
    Чтение информации о состоянии… Готово
    Пакет python2.6 недоступен, но упомянут в списке зависимостей другого пакета.
    Это может означать, что пакет отсутствует, устарел, или доступен из источников, не упомянутых в sources.list
    Однако следующие пакеты могут его заменить:
    python-gdbm:i386 python-gdbm

    E: Для пакета «python2.6» не найден кандидат на установку

    Ubuntu 13.10... Python3.3 ... Как исправить зависимости... Как я понимаю, в них проблема?

    ОтветитьУдалить
    Ответы
    1. >>Как исправить зависимости... Как я понимаю, в них проблема?<<

      Вы удивительно догадливы :)
      Если серьезно, я плохо представляю, откуда в 13.10 мог взяться python 3.3. Вы, случайно, не подключали "левых" (тестовых) репозиториев? Вроде Gnome3.10 и т.п.?
      У меня вот: http://storage5.static.itmages.com/i/13/1213/h_1386973872_1086362_0f1728a184.png
      И кстати говоря, в команде sudo apt-get -f install python2.6 аргумент "python2.6" явно лишний.
      Команда sudo apt-get install -f самодостаточна, -f указывает на автоматическое удовлетворение зависимостей, а если оно невозможно, система, скорее всего, просто предложит удалить ненастроенные пакеты.

      Удалить
    2. P.S. С libpython ситуация у меня такая:
      http://storage6.static.itmages.com/i/13/1213/h_1386974961_6688839_116d5f8ffd.png

      Удалить
    3. а как бы Вы поступили после вот такого вывода терминала:

      Пакеты, имеющие неудовлетворённые зависимости:
      acestream-full : Зависит: acestream-player (>= 2.1.6-1raring2) но он не будет установлен
      Зависит: acestream-mozilla-plugin (>= 2.1.6-1raring2) но он не будет установлен
      E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.

      (Ubuntu GNOME -13.10)?

      Спасибо..

      Удалить
    4. Ну, не знаю... Наверное, первым делом вспомнил бы, не забыл ли я о libdvbpsi7, проверил, не забыл ли удалить предыдущую версию - acestream-local, выполнил бы sudo apt-get install -f, и если бы это не помогло, попробовал бы устанавливать пакеты по отдельности в таком порядке:
      acestream-engine
      acestream-player-data
      acestream-player
      acestream-mozilla-plugin,
      внимательно глядя на вывод терминала, на предмет, чего оно хочет и чего не хочет.

      Удалить
    5. спасибо за участие..)
      установил со второй попытки..

      Удалить
    6. Спасибо, :) Удалил лишний реп - всё заработало :)

      Удалить
  21. Спасибо, добрый человек! Установил сегодня linux mint 16, и только благодаря вашему рецепту смог справиться с AceStream. Удачи!

    ОтветитьУдалить
  22. мне терминал постоянно выдает вот такое сообщение:
    W: Не удалось получить http://repo.acestream.org/ubuntu/dists/raring/InRelease Невозможно найти ожидаемый элемент «main/source/Sources» в файле Release (некорректная запись в sources.list или файл)
    E: Некоторые индексные файлы не скачались. Они были проигнорированы или вместо них были использованы старые версии.

    И при наборе следующей команды выдает;

    Чтение списков пакетов… Готово
    Построение дерева зависимостей
    Чтение информации о состоянии… Готово
    W: Duplicate sources.list entry http://dl.google.com/linux/chrome/deb/ stable/main amd64 Packages (/var/lib/apt/lists/dl.google.com_linux_chrome_deb_dists_stable_main_binary-amd64_Packages)
    W: Duplicate sources.list entry http://dl.google.com/linux/chrome/deb/ stable/main i386 Packages (/var/lib/apt/lists/dl.google.com_linux_chrome_deb_dists_stable_main_binary-i386_Packages)
    W: Вы можете запустить «apt-get update» для исправления этих ошибок
    E: Не удалось найти пакет acestream-full

    Подскажите как человек знающий что я делаю не так и как это можно исправить Линукс 13.10 64-розрядный, извените за возможную тупость с линуксом только начинаю знакомится.

    ОтветитьУдалить
  23. Удали из репозиторий вручную.

    ОтветитьУдалить
  24. Внимательное чтение инструкций уважаемого Максима позволило мне без особого труда установить acestream-full в мой Фудзицу Т5010 с Убунтой 13.10 без ошибок и прочей ругани. Установил Ace также на восстановленный Компак Ф700 с местной помойки. Компак работает как зверь, но установка на Фудзицу не пережила ребута, придумал тут грязный хак (http://fineoils.blogspot.com), может, кому поможет.

    Кому не жалко, поделитесь ссылками на Ace-HD-Player-supporting sites: интересуют недублированные британские лайв BBC1...BBC4, iTV1...iTV4, Eurosport 2 HD.

    Fox HD где-то пробегал, не могу отыскать, поскажите, и с возможным дублером трекера, хочется Super Bowl завтра поглядеть.

    Сайты, поддерживающие btlive, тоже интересны.

    С уважением,
    Александр Удалов
    Santa Cruz, CA

    ОтветитьУдалить
  25. Максим! Помогите новичку! Устанавливал по инструкции для своей убунты 13.04. Сначала ругалась на ключ wget который в /etc/apt/sources.list.d/acestream.list я поменял wget -q -O - на deb . Теперь пишет "Искажённая строка 1 в списке источников /etc/apt/sources.list.d/acestream.list (проблема в имени дистрибутива)". Подскажите , что делать?

    ОтветитьУдалить
    Ответы
    1. Возможно это происходит из-за того, что Ubuntu 13.04 прекратило своё существование 27 января.
      Желательно обновиться до Ubuntu 13.10 или сделать чистую установку, а затем установить AceStream для просмотра Торрент-ТВ.

      Удалить
    2. Содержимое /etc/apt/sources.list.d/acestream.list в студию.

      Удалить
    3. deb http://repo.acestream.org/keys/acestream.public.key
      sudo apt-key add -
      sudo apt-get update
      sudo apt-get install acestream-full

      Удалить
    4. ??????
      Это как же вы следовали инструкции?
      В файле должна быть ровно одна строка:
      deb http://repo.acestream.org/ubuntu/ raring main
      Откройте из под рута в текстовом редакторе (выполнив sudo gedit /etc/apt/sources.list.d/acestream.list) и исправьте.

      Удалить
    5. А еще лучше - просто удалите эту ересь:

      sudo rm /etc/apt/sources.list.d/acestream.list

      И повторите всю установку заново, на этот раз повнимательнее.

      Удалить
    6. сделал как вы сказали. В конце установки такая проблема.
      Хотите продолжить [Д/н]? д
      Получено:1 http://ua.archive.ubuntu.com/ubuntu/ raring-updates/main imagemagick i386 8:6.7.7.10-5ubuntu2.1 [191 kB]
      Получено 191 kБ за 0с (1.165 kБ/c)
      dpkg: ошибка при обработке параметра imagemagick (--configure):
      Пакет абсолютно неработоспособен — перед настройкой его
      следует переустановить.
      При обработке следующих пакетов произошли ошибки:
      imagemagick
      E: Sub-process /usr/bin/dpkg returned an error code (1)

      Удалить
    7. P.S. Если непонятно, поясню - строки, выделенные желтым, предназначены не для копирования в какие-то файлы, а для выполнения в терминале. Вставка команды в терминал из буфера обмена осуществляется посредством ctrl+shift+v

      Удалить
    8. да я понял Максим! Видно я первый раз не поэтапно , а скопом вставил в терминал. Но вот я переустановил и на завершение выдало проблему. Помогите устранить.

      Удалить
    9. >>Получено:1 http://ua.archive.ubuntu.com/ubuntu/ raring-updates/main imagemagick i386 8:6.7.7.10-5ubuntu2.1 [191 kB]<<
      Система 64 бит? Если так, тогда что в ней делает пакет imagemagick i386? Странно. Попробуйте его удалить. А вообще, очень похоже, что напортачено от души. Настоятельно рекомендую последовать совету Владимира и поставить новую систему.

      Удалить
    10. В таком случае, как и советует терминал ("перед настройкой его следует переустановить"), выполните sudo apt-get install --reinstall imagemagick

      Удалить
    11. Этот комментарий был удален автором.

      Удалить
  26. Добрый ден.
    у меня ubuntu 13.10
    Поставил плагин по инструкции, поставил, ts magic player для chrome 32. Все хорошо поставилось.
    Cам плеер запускается(не в браузере), но когда хочупосмотреть видео на каком то сайте, пишет что бы я поставил себе ace-stream-player.
    перезагружался, переустанаваливал, но ничего не помогло

    ОтветитьУдалить
    Ответы
    1. Не знаю, что и сказать. У меня работает и в Хроме, и в Лисе. Возможен конфликт с какими-то расширениями, типа flashBlock, или отключены плагины и т.п. Попробуйте проверить в Firefox.

      Удалить
  27. проверил, в мозилле все работает.
    я просто даже не знаю, как посмотреть в чем причина, какието логи, просто пишет что в хроме он не установлен.
    я просто использую всегда хром, в качестве основного и хочется что бы в нем работало.

    ОтветитьУдалить
    Ответы
    1. Введите в адресной строке chrome://plugins и проверьте, имеется ли ACE Stream P2P Multimedia Plug-in плагин в списке, включен ли он и стоит ли галочка "Разрешать всегда". Если всё в порядке, но плагин не работает, значит, вероятнее всего, имеет место конфликт с установленными расширениями. Проверьте, отключив все расширения. Если плагин заработает, выявляйте "виновника", включая расширения по одному.

      Удалить
    2. проверил, ксожелению нету такого плагина.

      Удалить
    3. переустановил еще раз отдельно -
      acestream-mozilla-plugin
      никаких имзенений

      Удалить
    4. Удивительное рядом. Попробуйте удалить и переустановить Chrome. Для полного удаления сотрите также папку профиля ~/.config/google-chrome/ (надеюсь, синхронизация включена и закладки с расширениями восстановятся. Если синхронизацией не пользуетесь, сделайте предварительно резервную копию профиля по этой инструкции http://compizomania.blogspot.com/2013/09/firefox-google-chromechromium.html). Если и это не поможет, тогда я не знаю...

      Удалить
  28. Удалил acestream-full, chrome(всесте с указаной пакой).
    Установил chrome, acestream-full.
    Мозилла работает. хром тоже самое, и плаги не появился.

    ОтветитьУдалить
    Ответы
    1. Мистика. Как последний вариант, могу лишь посоветовать испробовать Chromium вместо Google-Chrome. В крайнем случае, можно пользоваться Firefox как "отдельным проигрывателем" специально для Torrent TV, перенеся туда все закладки на каналы.

      Удалить
    2. Понял в чем дело. Мог и раньше догадаться, но Chrome не мой конек, сижу на Firefox-e. А это, видимо, особенность chrome и chromium. Плагин не появляется в списке, пока он не разрешен. Когда вы заходите на страничку с трансляцией, вверху должна появиться всплывающая панелька c предупреждением и двумя кнопками - "всегда запускать на этом сайте" и "запустить один раз". Нажмите первую. Теперь плагин появится в списке, можно поставить галочку "разрешать всегда". Вот и все. Видимо, Вы просто не замечали эту панельку.
      http://storage5.static.itmages.com/i/14/0201/h_1391289613_4716887_2fd3a5025a.png

      Удалить
    3. все сделал, плагин появился в сhromium.
      Теперь при запуске любого видео он вылетает с ошибкой "ace stream p2p multimedia plug-in has crashed"
      сделал как пишут здесь http://forum.torrentstream.org/index.php?topic=1766.0
      но ничего не помогло.

      Удалить
    4. Что могу сказать - это бывает. Не исключено, какая-то hardware-специфичная проблема. Пользуйтесь пока Firefox, а в следующей версии Chromium, возможно, всё будет нормально.

      Удалить
    5. День добрый!
      Система: Description: Ubuntu 12.04.4 LTS
      acestreamengine -v - дает version: 2.1.6 revision: 293
      все работает и плагин в мозиле и как vlc плеер ...
      но вот закавыка при установке все либы ia32-libs удалились ... как подружить ia32-libs ?
      Пытаюсь sudo apt-get install ia32-libs просит удалить acestream-* ...

      Удалить
    6. Уноу Ди, я так понимаю, система 64 бит? Подозреваю, подключили не тот репозиторий. Выложите содержимое /etc/apt/sources.list.d/acestream.list

      Удалить
    7. Да 64 бит
      acestream.list нету так как ставил вот так
      в /etc/apt/sources.list
      deb http://repo.acestream.org/ubuntu/ precise main

      Удалить
    8. Сложно сказать, в чем проблема. Никто пока не жаловался на подобное, а сам проверить не могу, поскольку 12.04 не установлена. Попробуйте методом тыка - удалите пакеты asestream, строку репозитория, установите обратно ia32lib и повторите установку заново, по инструкции. Хотя ia32-libs сейчас признаны устаревшими, но в 12.04 они вроде бы еще вовсю используются...

      Удалить
  29. У кого нибудь в Ubuntu 14.04 получилось заставить работать?

    ОтветитьУдалить
    Ответы
    1. Да получилось поставить на Ubuntu 14.04, берешь и у каждой зависимости через apt-get узнавай какой пакет ей нужен, и потом качай с сайта убунты или с ppa убунты. :)

      Удалить
    2. Пишет мне следующее

      dp@sev-lucky:~$ sudo apt-get install acestream-full
      Чтение списков пакетов… Готово
      Построение дерева зависимостей
      Чтение информации о состоянии… Готово
      Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
      или же используете нестабильную версию дистрибутива, где запрошенные вами
      пакеты ещё не созданы или были удалены из Incoming.
      Следующая информация, возможно, поможет вам:

      Пакеты, имеющие неудовлетворённые зависимости:
      acestream-full : Зависит: acestream-engine (>= 2.1.6-1raring4)
      Зависит: acestream-player (>= 2.1.6-1raring2)
      Зависит: acestream-mozilla-plugin (>= 2.1.6-1raring2)
      E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.

      Удалить
  30. Вроде бы все правильно сделал, а в браузере за 20 минут перебирания каналов ничего кроме http://rghost.ru/52271064/image.png не увидел.

    ОтветитьУдалить
  31. На ранее стоявшей 32-битной версии elementary os все работало

    ОтветитьУдалить
  32. А почемум репозитарии лежат?

    ОтветитьУдалить
  33. http://ytv.su/tv Ничё так телевизор

    ОтветитьУдалить
  34. Огромнгое спасибо все работает!

    ОтветитьУдалить
  35. Плагин работает только в Мозиле , в Хроме их просто нету не установились все модули и плагины пересмотрел нету там их, работает в Мозиле в Минт 16 так же и в Убунту 13,10, ещё одно с торент трекеров просматривать не могу , даже значок на ACE Stream не изменился как был так и остался скачать , только с ТВ нет проблем , счас попытаюсь ещё потоковый ID скопировать прямо в проигрыватель , если и так не получится , то надо бы доработать

    ОтветитьУдалить
    Ответы
    1. >>Плагин работает только в Мозиле , в Хроме их просто нету<<
      Выше в комментариях это уже обсуждалось. Даю подсказку:
      http://storage5.static.itmages.com/i/14/0201/h_1391289613_4716887_2fd3a5025a.png
      Пока не отреагируете это предупреждение, плагин в хроме не заработает и даже виден не будет.

      Удалить
  36. Скопировал ID нашёл вкладку Streaming открыл нашёл там Ace stream вставил ID без проблем но где Play еле догадался , а он внизу оказался возле Stream стрелочка выбираеш и запускаеш, или конвертер или плей , ну я просто смотреть то нажал плей работает правда буферизация шла долго думал уже всё Спасиб смотреть можна оказывается

    ОтветитьУдалить
  37. Спасиб конечно но ссылка не открывается , ладно счас почитаю више чё я там упустил, мож непридётся даже код страницы постоянно отрывать и искать там ID , а заработает всё само собой

    ОтветитьУдалить
    Ответы
    1. Цитирую один из своих комментариев: "Когда вы заходите на страничку с трансляцией, вверху должна появиться всплывающая панелька c предупреждением и двумя кнопками - "всегда запускать на этом сайте" и "запустить один раз". Нажмите первую. Теперь плагин появится в списке, можно поставить галочку "разрешать всегда". Вот и все. Видимо, Вы просто не замечали эту панельку."

      Удалить
    2. P.S. >>но ссылка не открывается<<
      Ссылка рабочая, просто не кликабельная. Если вдруг Вы начинающий и не в курсе, ее выделить надо и в адресную строку вставить, либо через меню по правой кнопке открывать выделенное.

      Удалить
  38. Спасиб да эт я уже понял давно но у меня она не появляется

    ОтветитьУдалить
    Ответы
    1. Тогда попробуйте сбросить профиль хрома. Опять-таки, цитирую: ".... сотрите также папку профиля ~/.config/google-chrome/ (надеюсь, синхронизация включена и закладки с расширениями восстановятся. Если синхронизацией не пользуетесь, сделайте предварительно резервную копию профиля по этой инструкции http://compizomania.blogspot.com/2013/09/firefox-google-chromechromium.html)."

      Удалить
  39. Нет у меня в хром давно уже не ставится , может синхронизация как раз тут и ненужна , у меня в Винде плагин был установлен там с ,ехе это всё ставилось, может он и синхронно перемещается в эту среду и тута мне всё портит , но это уже домыслы глупые и непроверенные ,что я уже не делал ни в какую , Да в Файрефоксе то работает , а какая разница в каком браузере смотреть Спасиб Вам за старание !!!

    ОтветитьУдалить
  40. Сейчас читаю журнал UserAndLINUX, на 12-13 странице эта статья со ссылкой на блог.

    ОтветитьУдалить
  41. http://issuu.com/zluka/docs/userandlinux_v14.02_25_

    ОтветитьУдалить
  42. а на 14.04 не получается установить

    ОтветитьУдалить
  43. Xubuntu 14.04, same story.
    та же история: вагон неудовлетворенных зависимостей. Если 13.10 (с большим скрипом) может кое-как установить пакет для 13.04, разработанный для 12.04, то в 14.04 фокус не проходит. Самое поганое -- некоторые зависимости можно удовлетворить только заменой новых библиотек на старые, вместе они не стоят. Эйс надо перекомпилировать под 14.04.

    ОтветитьУдалить
  44. Спасибо этому блогу и Автору в частности. Помог разобраться с едва слышным голосом при громком фоновом звуке во время просмотра фильмов (при просмотре ТВ проблемы не было!) совет переключить Output module с "default" на "ALSA audio output". Система - LinuxMint-16

    ОтветитьУдалить
    Ответы
    1. Хм... И вам спасибо. А я и не пытался исправлять, думал у всех так.

      Удалить
  45. Короче, на Mint 16 поставилось по инструкции с полтычка. На Mint 14 не получилось.
    Минт 16 ставил минут 20 со скачиванием. Такие дела

    ОтветитьУдалить
  46. Кстати, нашел вот еще один сайт из разряда p2p тв - http://t-tv.org/

    ОтветитьУдалить
  47. Ответы
    1. Я пробовал. И в ручном режиме, и с попытками доустановки разных зависимостей из deb-файлов тоже. Несмотря на то, что что кто-то тут писал, что это можно, должен констатировать - увы, никак. Однако можно установить в wine связку Firefox for win + Acestream for win. Я мог бы написать дополнительную инструкцию по этому поводу, но по разным причинам мне пока не до этого. Основной принцип тут - устанавливать всё в один wineprefix, чтобы программы (браузер, плагин и движок) принадлежали к одной и той же "виртуальной винде" и друг-друга могли "видеть". Кроме того, на сайте AceStream доступны две сборки AceStream, одна обычная, другая - с библиотеками от старой версии VLC. Для wine, имхо, лучше подходит вторая.

      Я, конечно, попробую еще побултыхаться, но надежды немного. Если, конечно, разработчики сами не почешутся и не обновят репозиторий.

      Удалить
    2. >>браузер, плагин и движок<<
      Пардон, уточняю - и плеер, конечно. А ссылки на Виндовые версии AceStream вот здесь:
      http://forum.torrentstream.org/index.php?topic=1715.0

      Удалить
  48. Способ с Wine не работает ни в каком виде. Перепробовал много версий, начиная с 1.6 до актуальных 1.7. AceStream engine не стартует. Так же пробовал установить с помощью PlayOnLinux. Результат тот же.

    ОтветитьУдалить
    Ответы
    1. Это может быть как раз потому, что firefox установлен в один wineprefix (или по терминологии Playonlinux, "виртуальный диск"), а AceStream - в другой.

      Удалить
    2. В том то и дело, что всё ставится в один префикс. И возможно оно бы работало, если бы этот самый acestream подавал хоть какие-то признаки жизни. А так никакой из экзешников ничего не дает, кроме логов (на скрине есть кусок). http://beta.hstor.org/files/427/f65/16f/427f6516f91045ab8cd0565dbba28202.png
      И фиг бы с ним, с вайном. Это всё дело даже под виртуальной виндой в virtualbox не работает (xp и 8.1). Просто не находит источников и всё тут.

      Удалить
    3. Да, я сейчас проверил, не работает. Зараза, эти редиски успели поменять версии по ссылкам на Ace_Stream.....next, похоже, они кривые :(. Если найду у себя или в интернете старую рабочую версию, проверю и скину ссылку.

      Удалить
    4. Вот, нашел. Попробуйте-ка эту версию:
      http://dl.acestream.org/Ace_Stream_Media_2.1.7.2_VLC_1.1.12.exe
      Я тоже её сейчас проверю.

      Удалить
    5. Со старой версией движок стартует! К сожалению, полностью проверить пока не получается, интернет сейчас сильно сбоит.
      http://storage8.static.itmages.com/i/14/0421/h_1398070985_3726334_40a4a85446.png
      Если есть время и желание, можно опробовать также тестовую версию 3.0.
      http://forum.torrentstream.org/index.php?topic=2767.0

      Удалить
    6. Ага, заработало! Осталось побороть баг - когда видео стартует (браузер - firefox), смотреть его можно только в полноэкранном режиме. Если смотреть в окне, то всё начинает мигать, фон и прочие элементы накладываются на видео и получается белеберда.

      ps: всё ставил через playonlinux

      Удалить
    7. И еще 1 баг - закрываешь страницу с видео и бразуер зависает :D

      Удалить
    8. Возможно, эти баги можно частично побороть, подобрав "правильную" версию firefox. Если ставить Firefox в Wine, то лучше ESR версию, и возможно, даже не 24-ю, а 17-ю. Теоретически, она попроще...

      Удалить
  49. Увы, зависают намертво и 17, и 24, и 29...

    ОтветитьУдалить
    Ответы
    1. Да уж, не гладко... Вот ведь парадокс - в Manjaro Linux, которая у меня стоит основной системой, AceStream, установленный из AUR, замечательно работает. И это при том, что нативные пакеты есть только для Убунту. Именно они при установке из AUR и переупаковываются в формат, используемый в Arch, с доустановкой всех зависимостей. Смех да и только.

      Удалить
    2. всё больше поводов перейти на Арч :)

      Удалить
    3. Единственное, что там потребовалось, поменять в настройках плеера стандартный демуксер на FFmpeg, иначе трансляция идет, а воспроизведения нету. Об этом выше в комментариях есть.

      Удалить
    4. Manjaro Linux-роллинг релиз-поставил и забыл-не нужно скачивать свежие образы и переустанавливать-обновление происходит плавно и стабильно ,у вас последнии версии установленных прграмм,ядер и ещё что там установлено)
      http://www.pictureshack.ru/images/16827_snimok90.png

      Удалить
  50. Установил на Ubuntu 14.04 из репозитория для 13.03

    Нужно вручную установить зависимости
    libavcodec-extra-53_0.8.10ubuntu0.12.04.1_i386
    libavdevice-extra-53_0.8.10ubuntu0.12.04.1_i386
    libavformat-extra-53_0.8.10ubuntu0.12.04.1_i386
    libavutil-extra-51_0.8.10ubuntu0.12.04.1_i386
    libdvbpsi7_0.2.2-1_i386
    libebml3_1.2.2-2_i386
    libmatroska5_1.3.0-1_i386
    libx264-123_0.123.2189+git35cf912-1_i386
    python-apsw_3.7.6.3-r1-1_i386 (этот пакет заменяет python2.7-apsw)

    Кроме того нужны python-m2crypto (заменяет python2.7-m2crypto) и libqt4-webki, это можно установить из репозитория.

    Затем можно устанавливать acestream.

    ОтветитьУдалить
    Ответы
    1. Спасибо за подробности. У меня упорно спотыкалось именно на python-apsw. Да и система 64-бит. Тем не менее, покопаться надо!

      Удалить
    2. есть ещё более изящное решение на форуме torrentstream.org. Сам не пробовал, но звучит правдоподобно

      "
      1) качаем
      http://repo.acestream.org/ubuntu/pool/main/a/acestream-engine/acestream-engine_2.1.6-1raring4_amd64.deb или
      http://repo.acestream.org/ubuntu/pool/main/a/acestream-engine/acestream-engine_2.1.6-1raring4_i386.deb
      2) копируем .deb-файл в пустую папку
      3) распаковываем
      dpkg-deb -e acestream-engine_2.1.6-1raring4_i386.deb
      dpkg-deb -x acestream-engine_2.1.6-1raring4_i386.deb .
      4) редактируем файлик DEBIAN/control (в общем ради этого всё и затевалось)
      там есть строчка
      Depends: python2.7 (>= 2.7.2), libpython2.7 (>= 2.7.2), python2.7-apsw, python2.7-m2crypto, libc6 (>= 2.13)
      меняем на (похоже в 14.04 поменяли названия пакетов)
      Depends: python2.7 (>= 2.7.2), libpython2.7 (>= 2.7.2), python-apsw, python-m2crypto, libc6 (>= 2.13)
      5) удаляем .deb файл из текущей папки
      6) пакуем опять .deb файл
      dpkg-deb -b .
      имя выходящего файла будет несколько корявое: ..deb
      можно во что-нибудь переименовать
      7) устанавливаем сгенерированный .deb файл командой (предварительно установив все зависимости, dpkg автоматически их разрешать не будет)
      sudo dpkg -i ..deb
      "

      Удалить
    3. Звучит действительно правдоподобно. Но я уже установил по предыдущему совету. Действительно, присоветованная Вами весия python-apsw не ломает зависимости! Правда, потребовался еще один пакет - libx264-120_0.120.2151+gita3f4407-2
      Вот все прямые ссылки для 64бит (для 32бит заменяем в конце amd64 на i386):
      http://mirrors.kernel.org/ubuntu/pool/universe/x/x264/libx264-120_0.120.2151+gita3f4407-2_amd64.deb
      http://mirrors.kernel.org/ubuntu/pool/universe/liba/libav-exthttp://mirrors.kernel.org/ubuntu/pool/universe/liba/libav-extra/libavcodec-extra-53_0.8.10ubuntu0.12.04.1_amd64.deb
      http://archive.ubuntu.com/ubuntu/pool/universe/liba/libav-extra/libavdevice-extra-53_0.8.10ubuntu0.12.04.1_amd64.deb
      http://archive.ubuntu.com/ubuntu/pool/universe/liba/libav-extra/libavformat-extra-53_0.8.10ubuntu0.12.04.1_amd64.deb
      http://archive.ubuntu.com/ubuntu/pool/universe/liba/libav-extra/libavutil-extra-51_0.8.10ubuntu0.12.04.1_amd64.deb
      http://mirrors.kernel.org/ubuntu/pool/universe/libd/libdvbpsi/libdvbpsi7_0.2.2-1_amd64.deb
      http://mirrors.kernel.org/ubuntu/pool/universe/libe/libebml/libebml3_1.2.2-2_amd64.deb
      http://mirrors.kernel.org/ubuntu/pool/universe/libm/libmatroska/libmatroska5_1.3.0-1_amd64.deb
      http://mirrors.kernel.org/ubuntu/pool/universe/x/x264/libx264-123_0.123.2189+git35cf912-1_amd64.deb
      http://mirror.yandex.ru/ubuntu/pool/universe/p/python-apsw/python-apsw_3.7.6.3-r1-1_amd64.deb

      Проще всего - скачать в отдельную папочку и устанавливать через Gdebi (ПКМ на файле - Открыть в Gdebi). Правильный порядок установки пакетов сам gdebi и поскажет - если что, ругнется на зависимость, это будет означать, что эту зависимость надо ставить "первее". После установки не забыть найти в Synaptic пакет python-apsw и через меню "заблокировать версию", во избежание обновления, которое всё поломает.

      vanili ivan, еще раз огромное спасибо!

      Второй способ обязательно проверю, действительно, он весьма правдоподобен. Обязательно напишу в блог новую инструкцию, как буду готов. К сожалению, совсем быстро не обещаю - у меня сейчас ремонт :(((

      Удалить
    4. Пардон. Ссылки скопировались кривовато, повторяю:

      http://mirrors.kernel.org/ubuntu/pool/universe/x/x264/libx264-120_0.120.2151+gita3f4407-2_amd64.deb
      http://mirrors.kernel.org/ubuntu/pool/universe/liba/libav-extra/libavcodec-extra-53_0.8.10ubuntu0.12.04.1_amd64.deb
      http://archive.ubuntu.com/ubuntu/pool/universe/liba/libav-extra/libavdevice-extra-53_0.8.10ubuntu0.12.04.1_amd64.deb
      http://archive.ubuntu.com/ubuntu/pool/universe/liba/libav-extra/libavformat-extra-53_0.8.10ubuntu0.12.04.1_amd64.deb
      http://archive.ubuntu.com/ubuntu/pool/universe/liba/libav-extra/libavutil-extra-51_0.8.10ubuntu0.12.04.1_amd64.deb
      http://mirrors.kernel.org/ubuntu/pool/universe/libd/libdvbpsi/libdvbpsi7_0.2.2-1_amd64.deb
      http://mirrors.kernel.org/ubuntu/pool/universe/libe/libebml/libebml3_1.2.2-2_amd64.deb
      http://mirrors.kernel.org/ubuntu/pool/universe/libm/libmatroska/libmatroska5_1.3.0-1_amd64.deb
      http://mirrors.kernel.org/ubuntu/pool/universe/x/x264/libx264-123_0.123.2189+git35cf912-1_amd64.deb
      http://mirror.yandex.ru/ubuntu/pool/universe/p/python-apsw/python-apsw_3.7.6.3-r1-1_amd64.deb

      Удалить
    5. Докладываю - способ № 2 с пересборкой deb-файла движка тоже отлично работает. В этом случае стоковый python-apsw зависти больше не ломает и ручная установка его не требуется, как и блокировка версии. Но заблокировать версию самого аcestream-engine после установки нужно обязательно.

      Удалить
    6. Понятно. Спасибо за информацию. Теперь есть по крайней мере 2 способа, как это всё запустить :)

      Удалить
    7. Вам спасибо, в первую очередь. Пока не будет готова новая инструкция, я сделал в статье ссылку на Ваш комментарий и последующую ветку, специально для пользователей 14.04.

      Удалить
    8. >>Пока не будет готова новая инструкция, я сделал в статье ссылку<< А что уже инструктивную статью готовишь, Максим?

      Удалить
    9. Этот комментарий был удален автором.

      Удалить
    10. >>А что уже инструктивную статью готовишь, Максим?<<
      Я имел в виду ЭТУ статью, к которой данный комментарий. Я её задним числом подредактировал, разместив ссылку.

      Удалить
  51. В общем, я не стал разбираться что там пошло не так в убунте 14.04, а, воспользовавшись советом выше, поставил manjaro. Часик настройки дистрибутива и вуаля - всё что мне нужно, включая рабочий acestream. Спасибо Максиму за необычное решение проблемы.

    ps: дистрибутив шикарный ;)

    ОтветитьУдалить
  52. У меня получилось следующим образом:
    Начал делать как в перовом варианте.
    Допом подключил репу-юнивёрс 13.04 в сорс-лист.
    Отдельно с packages.ubuntu.com пришлось скачать и установить пакеты:
    libavformat-extra-53_0.8.10ubuntu0.12.04.1_i386
    libebml3_1.2.2-2_i386
    libmatroska5_1.3.0-1_i386
    libx264-123_0.123.2189+git35cf912-1_i386
    т.к. подходящих кандидатов для установки найдено не было...
    Остальные пакеты из списка первого варианта уже были в системе.

    Далее стал устанавливать сам acestream, но всё равно acestream-engine требовал python2.7-apsw, как неудовлетворённую зависимость, но этого пакета в packages.ubuntu.com вообще на нашлось. Отсутствует напрочь!
    Из всего этого сделал вывод, что надо собрать самостоятельно acestream-engine пакет с переименованием зависимостей из второго варианта.
    Собрал, переименовал и установил через gDebi-gtk без каких либо проблем.
    В Synaptic после установки данный пакет в статусе в сером квадрате со знаком и в свойствах пакета: конфликтует с torrentstream-engine, но на это я не стал обращать внимания.
    Запустил в Firefox Торрент-ТВ и, вуаля!
    Всё работает!!!

    ОтветитьУдалить